# volume service

Block Storage v2, v3

## volume service list

List service command

    openstack volume service list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--host <host>]
        [--service <service>]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <host>

  List services on specified host (name only)

--service <service>

  List only specified service (name only)

--long

  List additional fields in output

## volume service set

Set volume service properties

    openstack volume service set
        [--enable | --disable]
        [--disable-reason <reason>]
        <host>
        <service>

--enable

  Enable volume service

--disable

  Disable volume service

--disable-reason <reason>

  Reason for disabling the service (should be used with –disable option)

host

  Name of host

service

  Name of service (Binary name)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.